org.apache.sling.maven.slingstart.launcher

## Class Launcher

- java.lang.Object
- - org.apache.sling.maven.slingstart.launcher.Launcher

All Implemented Interfaces:
  LauncherMBean

    public class Launcher
    extends Object
    implements LauncherMBean

### Constructor Summary

Constructors
Constructor and Description
`Launcher(int listenerPort)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `startupFinished()` Notify the launcher about the finish of the startup.
`void` `startupProgress(Float ratio)` Notify the launcher about the progress of the startup.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Launcher

    public Launcher(int listenerPort)

### Method Detail

#### startupFinished

    public void startupFinished()

Description copied from interface: `LauncherMBean`
Notify the launcher about the finish of the startup.

Specified by:
  `startupFinished` in interface `LauncherMBean`

#### startupProgress

    public void startupProgress(Float ratio)

Description copied from interface: `LauncherMBean`
Notify the launcher about the progress of the startup.

Specified by:
  `startupProgress` in interface `LauncherMBean`
Parameters:
  `ratio` - Startup progress ratio